STAT(1)

NAVN
stat - vis fil- eller filsystem-status

OVERSIKT
stat [VALG]... FIL...

BESKRIVELSE

Vis fil- eller filsystem-status.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-L, --dereference
    Følg lenker.

-f, --file-system
    Vis filsystem-status, i stedet for filstatus.

--cached=MODUS
    Velg hvordan du vil bruke hurtiglagrede attributter. Dette er nyttig for eksterne filsystemer. Se MODUS nedenfor.

-c  --format=FORMAT
    Bruk valgt FORMAT, i stedet for standardformat, og lag ny linje hver gang FORMATet er brukt.

--printf=FORMAT
    Likner --format, men tar hensyn til skråstrek-skiftetegn og lager ikke ny linje i slutten av strengen. Ta med «\n» i FORMATstrengen hvis du vil ha linjeskift likevel.

-t, --terse
    Skriv ut kortfattet informasjon.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Argumentet for --cached MODUS kan være et av følgende: «always» (alltid) - bruk hurtiglagrede attributter hvis mulig; «never» (aldri) - prøv å synkronisere med siste attributter; «default» (forvalgt) - lar underliggende filsystem avgjøre

Følgende formatstrenger er gyldige (uten --file-system):

%a  tilgangsrettigheter i oktalformat (merk printf-valgene «#» og «0»)

%A  tilgangsretigheter i menneskevennlig format

%b  antall tildelte blokker (se %B)

%B  blokkstørrelse som rapporteres av %b, i byte

%C  streng for SELinux-sikkerhetskontekst

%d  enhetsnummer i desimalform

%D  enhetsnummer i heksadesimaltall

%Hd major device number in decimal

%Ld minor device number in decimal

%f  råmodus i heksadesimaltall

%F  filtype

%g  eierens gruppe-ID

%G  eierens gruppenavn

%h  antall harde lenker

%i  inode-nummer

%m  monteringspunkt

%n  filnavn

%N  filnavn med hermetegn (målfil hvis aktuell fil er en symbolsk lenke)

%o  hint om optimal inn-/utdata-overføringsstørrelse

%s  fullstendig størrelse, i byte

%r  device type in decimal (st_rdev)

%R  device type in hex (st_rdev)

%Hr major device type in decimal, for character/block device special files

%Lr minor device type in decimal, for character/block device special files

%t  major device type in hex, for character/block device special files

%T  minor device type in hex, for character/block device special files

%u  eierens bruker-ID

%U  eierens brukernavn

%w  filas fødselstidspunkt, i menneskevennlig format («-» hvis ukjent)

%W  filas fødselstidspunkt, i sekunder siden Unix-epokens begynnelse (0 hvis ukjent)

%x  nyligste brukstidspunkt, i menneskevennlig format

%X  nyligste brukstidspunkt, i sekunder siden Unix-epokens begynnelse

%y  nyligste endringstidspunkt, i menneskevennlig format

%Y  nyligste endringstidspunkt, i sekunder siden Unix-epokens begynnelse

%z  nyligste tidspunkt for statusendring, i menneskevennlig format

%Z  nyligste tidspunkt for statusendring, i sekunder siden Unix-epokens begynnelse

Følgende formatstrenger er gyldige for filsystemer:

%a  ledige blokker som kan brukes av vanlige brukere

%b  totalt antall datablokker i filsystemet

%c  totalt antall noder i filsystemet

%d  ledige filnoder i filsystemet

%f  ledige blokker i filsystemet

%i  filsystem-ID i heksadesimaltall

%l  maksimal lengde på filnavn

%n  filnavn

%s  blokkstørrelse (for raskere overføringer)

%S  fundamental blokkstørrelse (for opptelling av blokker)

%t  filsystemtype i heksadesimaltall

%T  filsystemtype i menneskevennlig format

  --terse tilsvarer følgende FORMAT:

    %n %s %b %f %u %g %D %i %h %t %T %X %Y %Z %W %o %C

  --terse --file-system tilsvarer følgende FORMAT:

    %n %i %l %t %s %S %b %f %a %c %d

MERK: det er mulig at skallet ditt bruker en egen versjon av stat, som ofte er nyere enn versjonen som beskrives her. Les dokumentasjonen for skallet for mer informasjon om hvilke valg som støttes.

OPPHAVSMANN
Skrevet av Michael Meskes.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
stat(2), statfs(2), statx(2)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/stat>
eller lokalt: info '(coreutils) stat invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.